Subject: bug#48178: Out of memory error when generating a docker-image.

From: Roel Janssen <[email-masked]>
Date: Mon, 03 May 2021 00:09:36 +0200

Dear Guix,

While generating a docker-image that contains only a sshd service, an
nginx service, and an iptables service, it seems the VM that is spawned
to generate a docker image was allocated too little memory.  I attached
the log file.

Looking at 'guix/scripts/system.scm', it seems that we always pass 256M
of memory to the VM.  After bumping that to 4096M, I was able to
produce a docker image.

I'd like to see what we can do here.  Assigning too little memory leads
to problems generating the container, but assigning too much memory wil
l cause problems for computing machines that don't have much memory to
spare.

Would it be a good idea to make it configurable at run-time?

Kind regards,
Roel Janssen